FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202104291540.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202104291540.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=867264d OS_GIT_VERSION=4.5.0-202104291540.p0-867264d SOURCE_DATE_EPOCH=1603996085 SOURCE_GIT_COMMIT=867264d83b7903a28dff4891b5fdce5aa17f88cd SOURCE_GIT_TAG=867264d8 SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 
WORKDIR /go/src/github.com/openshift/openshift-state-metrics
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20210429.155603
ENV __doozer=update BUILD_RELEASE=202104291540.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202104291540.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=867264d OS_GIT_VERSION=4.5.0-202104291540.p0-867264d SOURCE_DATE_EPOCH=1603996085 SOURCE_GIT_COMMIT=867264d83b7903a28dff4891b5fdce5aa17f88cd SOURCE_GIT_TAG=867264d8 SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 

ARG FROM_DIRECTORY=/go/src/github.com/openshift/openshift-state-metrics
COPY --from=builder ${FROM_DIRECTORY}/openshift-state-metrics  /usr/bin/openshift-state-metrics

USER nobody
ENTRYPOINT ["/usr/bin/openshift-state-metrics"]

LABEL \
        io.k8s.display-name="openshift-state-metrics" \
        io.k8s.description="This is a component that exposes metrics about OpenShift objects." \
        io.openshift.tags="OpenShift" \
        maintainer="Haoran Wang <haowang@redhat.com>" \
        name="openshift/ose-openshift-state-metrics" \
        com.redhat.component="openshift-state-metrics-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202104291540.p0" \
        io.openshift.build.commit.id="867264d83b7903a28dff4891b5fdce5aa17f88cd" \
        io.openshift.build.source-location="https://github.com/openshift/openshift-state-metrics" \
        io.openshift.build.commit.url="https://github.com/openshift/openshift-state-metrics/commit/867264d83b7903a28dff4891b5fdce5aa17f88cd" \
        version="v4.5.0"

